

/* --- BASE BUTTON --- */
.action-button {
    display: inline-flex;
    width: auto;
    max-width: fit-content; 
    align-items: center;
    gap: 10px;
    padding: 5px 5px 5px 20px;
    text-decoration: none;
    font-family: Roboto,Arial,Helvetica,sans-serif;
    font-size: 20px;
    font-weight: normal;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.15);
    /*transition: transform 0.2s ease-in-out, background-color 0.2s, box-shadow 0.2s;*/
    transition: max-width 0.3s ease; 
    color: inherit; /* lets modifier classes control text color */
}

/* --- BASE ICON --- */
.button-icon {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: 30px 30px;
    background-repeat: repeat;
    transition: transform 0.2s ease-in-out, background-position 0.2s ease-in-out;
    transform-origin: left center; 
}

/* --- ICON SCALE + MOVE ON PARENT HOVER --- */
.action-button:hover {
      max-width: calc(100% + 5px);
}

.action-button:hover .button-icon {
    transform: scale(1.29);
    background-position: 31px -30px;
}

/* --- BUTTON VARIATIONS --- */
.button-primary {
    background-color: #FFF;
    color: rgb(16, 76, 151) !important;
}

.button-primary .button-icon {
    background-color: rgb(245, 130, 31);
    background-image: url('../images/white-arrow.png');
}

.button-primary:hover {
    background-color: rgb(154, 201, 233);
    color: #104C97 !important;
}

.button-secondary {
    background-color: #104C97;
    color: #fff !important;
}

.button-secondary .button-icon {
    background-color: rgb(245, 130, 31);
    background-image: url('../images/white-arrow.png');
}

.button-secondary:hover {
    background-color: #9AC9E9;
    color: #104C97 !important;
}

.button-tertiary {
    background-color: #F5821F;
    color: #fff !important;
}

.button-tertiary .button-icon {
    background-color: #fff;
    background-image: url('../images/orange-arrow.png');
}

.button-tertiary:hover {
    background-color: #FCC899;
    color: #104C97 !important;
}


.elementor-widget-n-menu .e-n-menu-title-container.e-link,
.elementor-widget-n-menu .e-n-menu-title.e-click,.elementor-widget-n-menu .e-n-menu-title.e-click *,
.elementor-widget-n-menu .e-n-menu-title-container:not(.e-link),.elementor-widget-n-menu .e-n-menu-title-container:not(.e-link) * {
    cursor: pointer !important;
}

/*Shadow Sub Menu & Sub-Sub Menu*/
.sub-menu, .sub-sub-menu{
   box-shadow: inset 0 18px 18px -8px rgba(0, 0, 0, 0.3);
}

/* Hidden state (collapsed to the left) */
.e-n-menu-icon {
  width: 0;                      /* fully collapsed */
  overflow: hidden;              /* hide inner svg */
  display: inline-block !important;
  transition: width 0.3s ease, transform 0.3s ease;
  transform: translateX(0px);   /* start slightly left */
}

/* Hover state: expand to the right */
.e-n-menu li:hover .e-n-menu-icon {
  width: 14px;                   /* expand width (adjust!) */
  transform: translateX(5px);      /* slide to position */
}


/*Image Accordion*/
.eael-image-accordion-hover:before
 {
    background-color: rgba(0, 0, 0, 0) !important;
    box-shadow: inset -5px 0 20px -5px rgba(0, 0, 0, 0.2) !important;
}

/*Team Carousel*/
.premium-person-image-container{
    border-radius: 30px !important;
}

.premium-person-info{
    border-radius: 30px !important;
    height: 100%;
}

.premium-person-info-container {
    padding-top: 350px !important;
    position: absolute;
    bottom: 0 !important;
    width: 100%; /* ensure full width if needed */
    background: linear-gradient(
        to top, 
        rgba(0, 0, 0, 0.7),  /* dark bottom */
        rgba(0, 0, 0, 0)   /* almost transparent top */
    );
    border-radius: 0px 0px 30px 30px !important;
}
